/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   utils.c                                            :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: sada-sil <sada-sil@student.42.fr>          +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2023/11/02 14:43:25 by sada-sil          #+#    #+#             */
/*   Updated: 2023/11/03 17:00:25 by sada-sil         ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

#include "../../minishell.h"

void	free_char_array(char ***str)
{
	int	i;

	i = -1;
	while ((*str)[++i] != NULL)
		free((*str)[i]);
	free(*str);
}
